EDocParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
EDocParserInternal::State Struct Reference

Internal: the state of a EDocParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
bool | m_compressed
| a flag to know if the data are compressed or not More...
int | m_maxPictId
| the maximum of picture to read More...
std::map< int, MWAWEntry > | m_idCPICMap
| a map id -> cPIC zone More...
std::map< int, MWAWEntry > | m_idPICTMap
| a map id -> PICT zone More...
std::vector< Index > | m_indexList
| the index list More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a EDocParser.

## Constructor & Destructor Documentation

## ◆ State()

EDocParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int EDocParserInternal::State::m_actPage

the actual page

## ◆ m_compressed

bool EDocParserInternal::State::m_compressed

a flag to know if the data are compressed or not

## ◆ m_footerHeight

int EDocParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int EDocParserInternal::State::m_headerHeight

the header height if known

## ◆ m_idCPICMap

std::map<int,MWAWEntry> EDocParserInternal::State::m_idCPICMap

a map id -> cPIC zone

## ◆ m_idPICTMap

std::map<int,MWAWEntry> EDocParserInternal::State::m_idPICTMap

a map id -> PICT zone

## ◆ m_indexList

std::vector<Index> EDocParserInternal::State::m_indexList

the index list

## ◆ m_maxPictId

int EDocParserInternal::State::m_maxPictId

the maximum of picture to read

## ◆ m_numPages

int EDocParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- EDocParser.cxx